Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class MultiValueFieldDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
          org.apache.cocoon.forms.formmodel.AbstractDatatypeWidgetDefinition
              org.apache.cocoon.forms.formmodel.FieldDefinition
                  org.apache.cocoon.forms.formmodel.MultiValueFieldDefinition

All Implemented Interfaces:
  org.apache.cocoon.util.location.Locatable, WidgetDefinition

public class MultiValueFieldDefinition
extends FieldDefinition

The `WidgetDefinition` part of a MultiValueField widget, see `MultiValueField` for more information.

Version:
  $Id: MultiValueFieldDefinition.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`createListener, enclosingLibrary, parent`

Constructor Summary
`MultiValueFieldDefinition()`

Method Summary
`Widget` | `createInstance()` Creates and returns a widget based on this widget definition.
`void` | `setRequired(boolean required)`

Methods inherited from class org.apache.cocoon.forms.formmodel.FieldDefinition
`getSuggestionList, getWhitespaceTrim, initializeFrom, isRequired, setSuggestionList, setWhitespaceTrim`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractDatatypeWidgetDefinition
`addValueChangedListener, buildSelectionList, buildSelectionListFromModel, checkCompleteness, fireValueChangedEvent, getDatatype, getInitialValue, getSelectionList, getValueChangedListener, hasValueChangedListeners, setDatatype, setProcessInfoProvider, setSelectionList, setSourceResolver, setXmlizer`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`addCreateListener, addValidator, checkMutable, fireCreateEvent, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, getParent, getState, makeImmutable, setAttributes, setDisplayData, setEnclosingLibrary, setId, setLocation, setParent, setState, validate, widgetCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiValueFieldDefinition

    public MultiValueFieldDefinition()

Method Detail

### createInstance

    public Widget createInstance()

  Description copied from interface: `WidgetDefinition`
  Creates and returns a widget based on this widget definition.

  Specified by:
    `createInstance` in interface `WidgetDefinition`
  Overrides:
    `createInstance` in class `FieldDefinition`

### setRequired

    public void setRequired(boolean required)

  Overrides:
    `setRequired` in class `FieldDefinition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.